package com.persagy.dmp.rwd.controller;

import cn.hutool.core.util.StrUtil;
import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.config.DmpParameterStorage;
import com.persagy.dmp.rwd.config.RwdConstants;
import com.persagy.dmp.rwd.handler.BusinessException;
import com.persagy.dmp.rwd.handler.ResponseCode;
import com.persagy.dmp.rwd.model.RelationInstanceModel;
import com.persagy.dmp.rwd.service.BatchHandleObjectService;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

@RestController
@RequestMapping("/rwd/instance/object/")
@RequiredArgsConstructor
public class BatchHandleObjectController {

    private final BatchHandleObjectService batchHandleObjectService;
    /***
     * Description: 下载模板接口
     * @param response : 响应对象
     * @return : void  
     * @author : lijie
     * @date :2021/9/22 9:54
     * Update By lijie 2021/9/22 9:54
     */
    @PostMapping("downloadObjectTemplateFile")
    public void query(HttpServletResponse response) throws IOException {
        String groupCode = DmpParameterStorage.getGroupCode();
        if (StrUtil.isBlank(groupCode)) {
            throw new BusinessException(ResponseCode.A0402.getCode(),"缺少集团编码");
        }
        batchHandleObjectService.downloadObjectTemplateFile(response,groupCode);
    }

}
